package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFHE7 extends MwfRequest<MWFHE7, MWFHE7Response> {

    @Parameter(name = "CIF")
    MWFHE7 cif(String cif);
    @Parameter(name = "Data")
    MWFHE7 data(java.util.List<MWFHE7Data> data);
    @Parameter(name = "ICO")
    MWFHE7 ico(String ico);
    @Parameter(name = "LOG_FLAG")
    MWFHE7 logFlag(String logFlag);
    @Parameter(name = "LOG_SSO")
    MWFHE7 logSso(String logSso);
    @Parameter(name = "RodneCislo")
    MWFHE7 rodneCislo(String rodneCislo);
    @Parameter(name = "TypOsoby")
    MWFHE7 typOsoby(String typOsoby);
    @Parameter(name = "UniPtKey")
    MWFHE7 uniPtKey(Long uniPtKey);
}
